Installer - Refactor #36345

Drop Puppet 6 support
05/02/2023 04:47 PM - Ewoud Kohl van Wijngaarden

Status: Closed

Priority: Normal

Assignee: Ewoud Kohl van Wijngaarden

Category:

Target version: 3.7.0

Difficulty: Fixed in Releases: 3.7.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/847,
https://github.com/theforeman/jenkins-jo
bs/pull/334,
https://github.com/theforeman/puppet-dn
s/pull/232,
https://github.com/theforeman/foreman-p
ackaging/pull/9323,
https://github.com/theforeman/puppet-pul
pcore/pull/281,
https://github.com/theforeman/puppet-for
eman_proxy/pull/805,
https://github.com/theforeman/puppet-for
eman_proxy_content/pull/445,
https://github.com/theforeman/foreman-p
ackaging/pull/9322,
https://github.com/theforeman/puppet-dh
cp/pull/219,
https://github.com/theforeman/puppet-for
eman/pull/1118,
https://github.com/theforeman/puppet-kat
ello/pull/464,
https://github.com/theforeman/puppet-ca
ndlepin/pull/232,
https://github.com/theforeman/puppet-for
eman_proxy_content/pull/444

Description
Puppet 6 is end of life and Foreman 3.6 has deprecated it. This issue is limited to the Foreman installer.

Associated revisions

Revision fe392fdf - 05/03/2023 01:50 PM - Ewoud Kohl van Wijngaarden
Fixes #36345 - Drop Puppet 6 support
Puppet 6 is end of life and more and more modules are dropping support.

Rather than pinning modules this takes the approach of dropping Puppet
6.

Revision d7b2900c - 05/05/2023 02:03 PM - Ewoud Kohl van Wijngaarden
Refs #36345 - Raise minimum Puppet version to 7.0.0

Revision 033609db - 05/05/2023 02:03 PM - Ewoud Kohl van Wijngaarden
Refs #36345 - Raise minimum Puppet version to 7.0.0

Revision 05baf6cc - 05/05/2023 02:03 PM - Ewoud Kohl van Wijngaarden
Refs #36345 - Drop Puppet 6 support
Revision 9b2acbcO0 - 05/05/2023 02:03 PM - Ewoud Kohl van Wijngaarden
Refs #36345 - Raise minimum Puppet version to 7.0.0

Revision 3b5b7cf7 - 05/05/2023 02:03 PM - Ewoud Kohl van Wijngaarden
Refs #36345 - Raise minimum Puppet version to 7.0.0

Revision 92cc7a8b - 05/05/2023 02:04 PM - Ewoud Kohl van Wijngaarden
Refs #36345 - Raise minimum Puppet version to 7.0.0

Revision fd9b1329 - 05/05/2023 02:04 PM - Ewoud Kohl van Wijngaarden
Refs #36345 - Raise minimum Puppet version to 7.0.0

Revision bc4bbed6 - 05/05/2023 02:04 PM - Ewoud Kohl van Wijngaarden
Refs #36345 - Raise minimum Puppet version to 7.0.0

History

#1 - 05/02/2023 05:00 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/847 added

#2 - 05/02/2023 05:20 PM - The Foreman Bot
- Pull request https://github.com/theforeman/jenkins-jobs/pull/334 added

#3 - 05/03/2023 12:21 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-dns/pull/232 added

#4 - 05/03/2023 01:50 PM - The Foreman Bot
- Fixed in Releases 3.7.0 added

#5 - 05/03/2023 02:01 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset installer|fe392fdf4696bf95e9{fb68626375e25{0982a9e.

#6 - 05/04/2023 11:01 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/9322 added

#7 - 05/04/2023 11:06 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/9323 added

#8 - 05/04/2023 07:40 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-pulpcore/pull/281 added

#9 - 05/04/2023 07:52 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-candlepin/pull/232 added

#10 - 05/04/2023 07:57 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-dhcp/pull/219 added

#11 - 05/04/2023 08:01 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-foreman/pull/1118 added

#12 - 05/04/2023 08:02 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/805 added
https://projects.theforeman.org/projects/puppet-foreman/repository/installer/revisions/fe392fdf4696bf95e9ffb68626375e25f0982a9e

#13 - 05/04/2023 08:03 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/444 added

#14 - 05/04/2023 08:05 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/445 added

#15 - 05/04/2023 08:05 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-katello/pull/464 added

#16 - 05/25/2023 11:22 AM - Ewoud Kohl van Wijngaarden
- Triaged changed from No to Yes
